- Main Page
- Modules
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# cAdvancedLinkDelayLookahead Class Reference
[Parallel simulation support]

Lookahead calculation based on inter-partition link delays only. More...

`#include <cadvlinkdelaylookahead.h>`

Inheritance diagram for cAdvancedLinkDelayLookahead:

List of all members.

## Public Member Functions
| cAdvancedLinkDelayLookahead ()
virtual | ~cAdvancedLinkDelayLookahead ()
virtual void | startRun ()
virtual void | endRun ()
virtual double | getCurrentLookahead (cMessage *msg, int procId, void *data)
virtual double | getCurrentLookahead (int procId)

## Detailed Description

Lookahead calculation based on inter-partition link delays only.

## Constructor & Destructor Documentation

cAdvancedLinkDelayLookahead::cAdvancedLinkDelayLookahead | ( |  | ) |

| Constructor.

virtual cAdvancedLinkDelayLookahead::~cAdvancedLinkDelayLookahead | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void cAdvancedLinkDelayLookahead::endRun | ( |  | ) | `[virtual]`

| Called at end of simulation run. Implements cNMPLookahead.

virtual double cAdvancedLinkDelayLookahead::getCurrentLookahead | ( | int | procId | ) | `[virtual]`

| Returns minimum of link delays toward the given partition. Implements cNMPLookahead.

virtual double cAdvancedLinkDelayLookahead::getCurrentLookahead | ( | cMessage * | msg,
|  | int | procId,
|  | void * | data
| ) | `[virtual]`

| Updates lookahead information, based on the delay of the link where message is sent out. Returns EOT. Implements cNMPLookahead.

virtual void cAdvancedLinkDelayLookahead::startRun | ( |  | ) | `[virtual]`

| Sets up algorithm for new simulation run. Implements cNMPLookahead.

The documentation for this class was generated from the following file:

- cadvlinkdelaylookahead.h